import { Component, OnInit } from '@angular/core';
import { CompNavComponent } from '../../../app/comp-nav/comp-nav.component'
import { RouterOutlet, Router } from '@angular/router';
import { CommonCompModule } from '../../../services/common.modules'

@Component({
  selector: 'app-page-home',
  standalone: true,
  imports: [CompNavComponent,RouterOutlet,CommonCompModule],
  templateUrl: './page-home.component.html',
  styleUrls: ['./page-home.component.scss'],
})
export class PageHomeComponent  implements OnInit {

  options:Array<any> = [
    {
      name:'报送流程',
      id:'1',
    },
    {
      name:'用户管理',
      id:'2',
      child:[
        {
          name:'用户列表',
          id:'2-1',
        },
        {
          name:'用户组管理',
          id:'2-2',
        },
        {
          name:'邀请注册',
          id:'2-3',
        },
      ]
    }
  ]
  active:string = localStorage.getItem('active') || this.options[0].id
  constructor(
    public router: Router,
  ) { }

  ngOnInit() {}
  toUrl(url:string, cateid:string, params?:any){
    this.active = cateid
    localStorage.setItem('active', cateid)
    // this.router.navigate([url, params ? params : {}])
  }
}
